package com.yihu.jw.entity.hospital.doctor;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2019/9/16.
 */
@Entity
@Table(name = "base_doctor_zs_info")
@SequenceGenerator(name="id_generated", sequenceName="BASE_DOCTOR_ZS_INFO_SEQ")
public class BaseDoctorZsInfoDO extends IntegerIdentityEntity {

    private String staffCode;
    private String staffName;
    private String deptId;
    private String deptName;
    private String idNumber;
    private String sexCode;
    private String sexName;
    private Date dateBirth;
    private String addrHome;
    private String mobileNo;
    private String major;
    private String educationName;
    private String degreeName;
    private Date entryDate;
    private Date arriveHospDate;
    private String staffCategCode;
    private String StaffCategName;
    private String titleLevelCode;
    private String titleLevelName;
    private String staffStatusCode;
    private String staffStatusName;
    private String levelCode;
    private String levelName;
    private String degreeCode;
    private String ethnicCode;
    private String ethnicName;
    private String politicalStatus;
    private String politicalStatusName;
    private String practiceCertificateNo;
    private String skillCertificateNo;

    public String getStaffCode() {
        return staffCode;
    }

    public void setStaffCode(String staffCode) {
        this.staffCode = staffCode;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getSexCode() {
        return sexCode;
    }

    public void setSexCode(String sexCode) {
        this.sexCode = sexCode;
    }

    public String getSexName() {
        return sexName;
    }

    public void setSexName(String sexName) {
        this.sexName = sexName;
    }

    public Date getDateBirth() {
        return dateBirth;
    }

    public void setDateBirth(Date dateBirth) {
        this.dateBirth = dateBirth;
    }

    public String getAddrHome() {
        return addrHome;
    }

    public void setAddrHome(String addrHome) {
        this.addrHome = addrHome;
    }

    public String getMobileNo() {
        return mobileNo;
    }

    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getEducationName() {
        return educationName;
    }

    public void setEducationName(String educationName) {
        this.educationName = educationName;
    }

    public String getDegreeName() {
        return degreeName;
    }

    public void setDegreeName(String degreeName) {
        this.degreeName = degreeName;
    }

    public Date getEntryDate() {
        return entryDate;
    }

    public void setEntryDate(Date entryDate) {
        this.entryDate = entryDate;
    }

    public Date getArriveHospDate() {
        return arriveHospDate;
    }

    public void setArriveHospDate(Date arriveHospDate) {
        this.arriveHospDate = arriveHospDate;
    }

    public String getStaffCategCode() {
        return staffCategCode;
    }

    public void setStaffCategCode(String staffCategCode) {
        this.staffCategCode = staffCategCode;
    }

    public String getStaffCategName() {
        return StaffCategName;
    }

    public void setStaffCategName(String staffCategName) {
        StaffCategName = staffCategName;
    }

    public String getTitleLevelCode() {
        return titleLevelCode;
    }

    public void setTitleLevelCode(String titleLevelCode) {
        this.titleLevelCode = titleLevelCode;
    }

    public String getTitleLevelName() {
        return titleLevelName;
    }

    public void setTitleLevelName(String titleLevelName) {
        this.titleLevelName = titleLevelName;
    }

    public String getStaffStatusCode() {
        return staffStatusCode;
    }

    public void setStaffStatusCode(String staffStatusCode) {
        this.staffStatusCode = staffStatusCode;
    }

    public String getStaffStatusName() {
        return staffStatusName;
    }

    public void setStaffStatusName(String staffStatusName) {
        this.staffStatusName = staffStatusName;
    }

    public String getLevelCode() {
        return levelCode;
    }

    public void setLevelCode(String levelCode) {
        this.levelCode = levelCode;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getDegreeCode() {
        return degreeCode;
    }

    public void setDegreeCode(String degreeCode) {
        this.degreeCode = degreeCode;
    }

    public String getEthnicCode() {
        return ethnicCode;
    }

    public void setEthnicCode(String ethnicCode) {
        this.ethnicCode = ethnicCode;
    }

    public String getEthnicName() {
        return ethnicName;
    }

    public void setEthnicName(String ethnicName) {
        this.ethnicName = ethnicName;
    }

    public String getPoliticalStatus() {
        return politicalStatus;
    }

    public void setPoliticalStatus(String politicalStatus) {
        this.politicalStatus = politicalStatus;
    }

    public String getPoliticalStatusName() {
        return politicalStatusName;
    }

    public void setPoliticalStatusName(String politicalStatusName) {
        this.politicalStatusName = politicalStatusName;
    }

    public String getPracticeCertificateNo() {
        return practiceCertificateNo;
    }

    public void setPracticeCertificateNo(String practiceCertificateNo) {
        this.practiceCertificateNo = practiceCertificateNo;
    }

    public String getSkillCertificateNo() {
        return skillCertificateNo;
    }

    public void setSkillCertificateNo(String skillCertificateNo) {
        this.skillCertificateNo = skillCertificateNo;
    }
}
